Jump to content
Carl Favre

Guide de mise à jour automatique en 1.4.5.1

Recommended Posts

Bonjour à tous,

 

UPDATE 23/11/11 : Nous venons de mettre à jour le module autoupgrade dans ce post.

 

Afin de faciliter le passage à la 1.4.5.1, vous trouverez ci-dessous un guide de mise à jour pour les versions allant de la 1.3.x à la 1.4.4.1

 

Etape 1

 

Téléchargez le module de mise à jour automatique disponible ci-dessous.

http://www.prestasho...autoupgrade.zip

 

 

Etape 2

 

Allez dans le panneau d’administration > modules > Ajouter un nouveau module.

post-268579-0-65998000-1318581661_thumb.png

 

Et sélectionnez l’archive du module de mise à jour automatique.

 

Etape 3

 

Installez le module autoupgrade v0.1

post-268579-0-13985900-1318581679_thumb.png

 

Etape 4

 

Allez dans Outils > Upgrade, à la ligne « Shop desactivated », cliquez sur« No » et sélectionnez NON dans Activer la boutique

post-268579-0-79969000-1318581713_thumb.png

post-268579-0-59906200-1318581749_thumb.png

 

Etape 5

 

Retournez dans Outils > Upgrade puis en bas de la page sélectionnez les options comme ci-dessous puis sauvegardez.

post-268579-0-59578400-1318581764_thumb.png

 

Etape 6

 

Cliquez sur Upgrade PrestaShop now. Soyez patient, cela peut prendre plusieurs minutes (ne fermez pas la page).

post-268579-0-86458600-1318581777_thumb.png

post-268579-0-37684600-1318581802_thumb.png

 

Etape 7

 

Réactivez votre boutique en allant dans Préférences.

post-268579-0-89743000-1318581822_thumb.png

 

Votre boutique est maintenant à jour.

post-268579-0-26920200-1318581834_thumb.png

autoupgrade.zip

Share this post


Link to post
Share on other sites

Great work Carl! Testing now on my PS store. Fingers crossed!

Share this post


Link to post
Share on other sites

Hi philee,

 

can you unfold the list of modified files and send me the list of the modified core files ? I give you my mail by pm

Share this post


Link to post
Share on other sites

Hi Michael,

 

I replied back to you with the information requested.

Share this post


Link to post
Share on other sites

Sur PS 1.4.4.1, dans le BO > Outils > Mise à jour :

 

 

La version actuelle de votre boutique est : 1.4.4.1

 

La dernière version est 1.4.4.1 final (1.4.4.1)

 

Votre boutique est déjà à jour

 

J'aurais bien aimé testé cette nouvelle fonction de maj auto pourtant.

Share this post


Link to post
Share on other sites

Bonjour !

 

Merci pour cette MAJ !!

 

Malheureusement je n'ai pas accès au bouton Upgrading ???

post-225685-0-16222900-1318588607_thumb.jpg

 

Pouvez-vous m'aider ?

 

Merci

 

Laurent

Share this post


Link to post
Share on other sites

J'ai fais la maj, mon thème par default modifié à bien été tranférer tout seul. par contre la navigation a facette beug toujours normal ?

Share this post


Link to post
Share on other sites

Bonjour,

 

Pour la navigation à facette, il faut réinitialiser le module

Share this post


Link to post
Share on other sites

si je choisi admetons produit en stock dans le modules a facette, il affiche aucun produit. pareil pour n'importe quel choix du module

Share this post


Link to post
Share on other sites

Bonjour tout le monde

 

j'etais pret a faire la Mise à jour 1.4.4.1 vers 1.4.5.1 en suivant la procédure décrite dans ce guide, hors, que vois je, enfin non je vois pas, dans OPTIONS le bouton Mise a jour a disparut!!!

 

Dois je faire une maj "a l'ancienne"?

Share this post


Link to post
Share on other sites

En version 1.4.4.1 la fonction de mise à jour est récalcitrante, il faut cliquer plusieurs fois sur "cliquer pour rafraichir" de la vérification avant d'obtenir l'accès à la mise à jour, peut être un problème du à mon serveur ?

 

Pour avoir accès à cette possibilité de mise à jour il faut la plupart du temps ajouter un fichier php.ini avec "allow_url_fopen = On" pour résoudre vos problèmes de vérification de version, je viens de le faire chez mon hébergeur 1and1 et ça fonctionne, pour la procédure lisez les faqs de votre hébergeur, pour 1and1 c'est ici

 

bon il faut aussi être patient "4767 files left to upgrade." :)

Share this post


Link to post
Share on other sites

D'accord.

 

Est-il possible d'avoir un URL pour voir le problème ?

 

Pour le moment non car j'ai installer le nouveau thème, et sa m'a foutout un petit bordel que je ne parviens pas à résoudre

Share this post


Link to post
Share on other sites

J'ai un message d'erreur (Error during backupdb) (passage de 1.4.4.1 vers 1.4.5.1)

 

Avez vous une idée (je suis hebergé en mutu ovh)

Share this post


Link to post
Share on other sites

Bonjour,

 

le module autoupgrade.zip ne veut pas s'installer voilà le message d'erreur The following module(s) were not installed successfully:

 

une idée

 

facbest

Share this post


Link to post
Share on other sites

Bonjour,

 

pouvez vous donner la version de prestashop que vous utilsez actuellement ?

 

Concernant l'installation qui ne fonctionne pas, c'est du je pense à un problème dans la base de données que vous avez (une entrée en trop dans la table ps_tab_lang). Cela peut se résoudre tout seul si vous désinstallez/réinstaller le module

 

pour backupDb, j'essaye de voir ce qui ne va pas, peut être un timeout ...

Share this post


Link to post
Share on other sites

Bonjour,

 

le module autoupgrade.zip ne veut pas s'installer voilà le message d'erreur The following module(s) were not installed successfully:

 

une idée

 

facbest

si vous êtes en version 1.4.4.1 le module est déjà présent en natif, simplement allez dans "outils" "mise à jour" (j'ai fait la même manip avant de m'en rendre compte :) )

Share this post


Link to post
Share on other sites

j'utilise la version 1.4.4.1

 

J'ai installé par ftp plusieur fois directement dans module aussi çà veut rien savoir

Share this post


Link to post
Share on other sites

Bonjour,

 

non le module n'est pas présent en natif en 1.4.4.1 car c'est la version "intégrée" qui est présente.

 

A la sortie de la 1.4.4.0 nous avons eu beaucoup de retour, et afin de s'affranchir de beaucoup de problème l'autoupgrade est devenu un module, présent donc à partir de la version 1.4.5.0.

 

Nous avons testé le module autoupgrade et il s'installe très facilement de 1.3.x à 1.4.x (installation "fresh" et copie de sites en production).

 

est ce que les logs d'erreur php disent quelquechose (pour les afficher à l'écran, il faut éditer config.inc.php et mettre "on" à la place de "off" pour display_errors, et rajouter error_reporting(E_ALL) )

Share this post


Link to post
Share on other sites

facbest,

 

Pour installer le module, il faut que l'utilsiateur d'apache ait les droits d'écriture dans le dossier module.

 

Pour l'utiliser, il faut que apache puisse écrire dans tous les dossiers, à partir de la racine de prestashop, mais cela est précisé dans l'onglet Outils > Upgrade

Share this post


Link to post
Share on other sites

J'ai fais la maj, mon thème par default modifié à bien été tranférer tout seul. par contre la navigation a facette beug toujours normal ?

 

Le module est reactivé sur mon site, pour ceux qui veullent m'aider

Share this post


Link to post
Share on other sites

Tigrou, utilises tu le module ou la version qui existait déjà en 1.4.4.0/1 ?

Share this post


Link to post
Share on other sites

Pour moi l'autoupgrade intégré présent dans la 1.4.4.1 a fonctionné, comme quoi tout arrive :)

Share this post


Link to post
Share on other sites

Bjr,

 

J'ai tésté l'autoupgrade de 1.4.4.0 vers 1.4.4.5 ...

Apparemment la mise à jour fonctionne bien .... Seulement ça ne marche pas pour la CSS et les images .

 

Je m'explique.. j'ai directement modifié le thème Prestashop dans la 1.4.4.0.. donc ma CSS et mes images sont de ce thème.... La mise a jour me met le thème Prestashop de la 1.4.4.5 ...

 

Ma question est : Est ce qu'il me faut écraser le dossier "image et CSS" du nouveau thème avec mon ancien que j'ai sauvegardé???!!

Ou est ce qu il y a une manipulation que j ai loupé lors de l'autoupgrade

 

Je me posais des question sur ce paramètre pour conserver le thème de ma 1.4.4.0

Conserver le thème "prestashop" actuel

enabled.gif Oui disabled.gif Non

Si vous avez personnalisé le thème par défaut de PrestaShop, vous pouvez le protéger de la mise à niveau (non recommandé)

 

Moi j'ai cliqué sur oui pour qu'il conserve mon thème... Est ce bien ce que je dois faire pour conserver mon thème de la 1.4.4.0 intact une fois la MAJ de la 1.4.4.5 réalisé ??

 

Si vous avez une petite idée de la manipulation correct à faire je suis preneur...

 

Merci

Lokiiy

Share this post


Link to post
Share on other sites

Salut,

 

Après avoir réussi à installer la mise à jour automatique sur mon 14.4.0 J'ai également rencontrer le problème de l'option de mise à jour ne s'affiche pas dans l'onglet Outils, peu importe ce que je fais, j'ai vérifié avec mon fournisseur et ils disent que "allow_url_fopen = On» est activé.

 

Je ne peux pas installer le module de cela donne "Erreur fatale" (au moins sur le site de test en ligne, je n'ai pas essayé sur le monde réel).

 

Quel pourrait être le problème?

Share this post


Link to post
Share on other sites

Bonjour Rhobur, peux tu m'envoyer un accès admin en privé sur ton site de test ?

Share this post


Link to post
Share on other sites

Aucune piste ... Avant que je fasse de la boucherie :ph34r:

 

Thanks

Share this post


Link to post
Share on other sites

Bonjour,

 

Je suis en 1.4.0.17 et lorsque j'installe le module autoupgrade, j'ai un message

error2.pngThe following module(s) were not installed successfully:

  • autoupgrade

par contre, sur outils, j'ai maintenant un bouton upgrade, mais je prefere ne pas tenter car je suppose que si j'ai un message qui me dit que ce n'est pas bien installé, il doit y avoir un probleme.

que dois je verifier ?

Share this post


Link to post
Share on other sites

Si tu as l'onglet upgrade, c'est qu'il s'est bien installé. Le message d'erreur vient peut être à cause de la base de donnée qui contient des données invalides.

 

Si tu vas sur l'onglet et que la page se charge correctement, alors tout fonctionnera (la liste des fichiers qui ne sont pas d'origine (et qui seront écrasés) doit s'afficher.

Share this post


Link to post
Share on other sites

lokiiy,

 

je te conseille de copier ton thème dans un nouveau répertoire (du nom de ta boutique ou ce que tu veux) pour pouvoir faire la mise à jour tout en ayant le thème par défaut à jour, et ce qui te permettra de modifier ton thème perso afin qu'il soit lui aussi complet.

Share this post


Link to post
Share on other sites

Après des difficultés por la MAJ de prestashop 1.4.4.1 => 1.4.5.1, mettre un php.ini avec allow_url_fopen=on dans le répertoire admin/autoupgrade

La mise à jour s'est faite correctement. Maintenant il n'y a plus qu'à tester

  • Like 1

Share this post


Link to post
Share on other sites

Bonjour tout le monde,

 

j'ai enfin réussit la maj, mais desormais tout les blocs qui étaient à droite de ma boutique ont disparuts !!!!

 

quelqu'un aurait il une réponse?

 

Par avance merci

 

Bonjour tout le monde,

 

apparemment mon problème de blocs disparuts viendrait de mon template non compatible avec cette derniere version

m'en vais donc devoir utiliser le nouveau template de PS et le modifier, enfin si j'y arrive, encore de bons moments en perspective :)

Share this post


Link to post
Share on other sites

Bonjour tout le monde,

 

j'ai enfin réussit la maj, mais desormais tout les blocs qui étaient à droite de ma boutique ont disparuts !!!!

 

quelqu'un aurait il une réponse?

 

Par avance merci

 

Bonjour,

 

Bizarre que tes blocs ont disparu ... Cependant

1 / Regarde déjà si ils sont tjrs présent dans ton BO.

2 / Si ils sont présent essaye avec un module de le désactiver et le réactiver et voie si il a réapparu

 

J'ai déjà eu problème similaire et j'ai résolu mon soucis comme ça si des fois ça peut t'aider ..

 

Lokiiy

Share this post


Link to post
Share on other sites

Bonjour Lokiiy

 

les modules sont bien présents dans le BO, j'ai essayé de désactiver et ré activer sans résultat

 

meme mon footer a disparut ! je vais essayer de re injecter mon fichier de sauvegarde du theme que j'avais faite avant, voir si ca regle le soucis, je soupconne une histoire de CSS

 

Edit:

Bon je fais une restauration totale, je pense avoir oublié de choisir"proteger le theme actuel" avant de faire la mise a jour, je referais donc un essai une fois la restauration terminée (vive la patience :P)

Share this post


Link to post
Share on other sites

Bonjour,

etant actuellement en v 1.3.1 et souhaitant passer en v 1.4.5.1, je suis tenté par cette mise à jour.

Cependant, j'aimerai savoir si cela peut poser des problèmes au niveau du module Atos (installé par vos soins d'ailleurs ^_^ ) ?

(Et il y t-il certaines étapes de ce tuto à effectuer ou seulement ce qui est décrit au début de ce sujet ?)

(Et j'ai également un Blog WP sur mon site actuel (dans un dossier /blog/ à la racine de mon site + une BDD correspondante : cela peut-il poser problème ?)

Merci beaucoup de votre réponse. :)

Share this post


Link to post
Share on other sites

Bonjour Alain,

 

le principe du module est de faire toutes ces étapes automatiquement, mais comme nous venons de le terminer je te conseille de sauvegarder tes fichiers juste au cas où, bien que la restauration soit également possible via le module.

 

Si tu veux d'abord tenter la mise à jour automatique en local tu peux aussi.

Share this post


Link to post
Share on other sites

Merci de ta réponse Mickaël.

Pour la tentative en local, je sais pas si ce sera "parlant" car je n'ai (malheureusement) pas mis à jour ma version en local depuis pas mal de temps, donc elle est loin d'être à jour. De plus, le module Atos ne s'y trouve evidement pas, et c'est ce que je crains le plus...

Je vais quand même tenter d'abord en local, et si ça se passe bien, alors je tenterai sur mon serveur.

Je croise les doigts :wacko:

(et merci de mettre à disposition ce genre de module :) (en espérant que tout se passe nickel bien sur ;) ))

Je ferai un retour ici pour le résultat.

Merci encore

Share this post


Link to post
Share on other sites

Tu peux très bien récupérer la dernière version de ta boutique en local, y compris le module Atos non ?

Share this post


Link to post
Share on other sites

En effet, j'ai essayé ça.

Mais je ne peux pas tester la "viabilité" du module Atos (a savoir si les paiements passent toujours), et certains modules supplémentaires que j'ai installé au fur et à mesure ne supportent pas forcément très bien ce passage en local :wacko: (module "menu horizontal" par exemple, qui plante complètement en local...)

Mais bon, je vais tester quand même cette MAJ en local avec cette "presque-totalité" de site de prod récupéré en local.

Share this post


Link to post
Share on other sites

Réussi à faire une MAJ satisfaisante... :rolleyes: Merci Prestashop ^^ pour la MAJ auto

Je dis satisfaisante car très peu d'erreur ...

Le module autoupdate ma dis en fin de MAJ qu'il y avait une erreur et que je devrais peut être restaurer....

J'ai quand même poursuivie la fin de la MAJ car sur le site la boutique avait l'air pas trop mal à l’exception de la CSS et des images....

 

J'ai donc balancer mon dossier image et CSS de sauvegarde dans le nouveau thème et tout le design et les changement se son remis à bien fonctionner..

 

Cependant j'ai trois erreurs :

  1. ebuildycallback (erreur de syntaxe dans /modules/ebuildycallback/ebuildycallback.php)
  2. ebuildycallback (classe manquante dans /modules/ebuildycallback/ebuildycallback.php)
  3. prestadroid (erreur de syntaxe dans /modules/prestadroid/prestadroid.php)
  4. prestadroid (classe manquante dans /modules/prestadroid/prestadroid.php)
  5. ps_cumulus (erreur de syntaxe dans /modules/ps_cumulus/ps_cumulus.php)
  6. ps_cumulus (classe manquante dans /modules/ps_cumulus/ps_cumulus.php)

Pour le dernier module : ps_cumulus par exemple il marche sur mon site mais invisible dans le BO et je comprend pas ce que ça veux dire classe manquante....

J'ai essayé de le désinstallé complet en vidant cache, compile et en le réinstallant ... rien à faire tjrs invisible...

 

Je suppose que le soucis et l'histoire de la classe manquante et de l'erreur syntaxe mais comment le régler .???

 

Merci pour le coup de pouce ....

 

Lokiiy

Share this post


Link to post
Share on other sites

Bonjour,

 

Pour moi, impossible d'installer le module d'update sur ma version 1.4.3

 

The following module(s) were not installed successfully:
  • autoupgrade

Share this post


Link to post
Share on other sites

J'ai créé le dossier autoupgrade dans mon répertoire d'administration et il a réussi à s’installer. Problème de droits je pense.

Share this post


Link to post
Share on other sites

Nouvelle erreur

Error during unzip

 

En activant les erreurs, je vois :

 

 

<br />

<b>Fatal error</b>: Using $this when not in object context in <b>/catalogue/public/modules/autoupgrade/AdminSelfUpgrade.php</b> on line <b>2359</b><br />

 

Je vais tenter d'appliquer un 777 sur tout le site pour voir si ça corrige le problème. Ça va être long ;)

Share this post


Link to post
Share on other sites

J'ai remplacé par le chemin complet

require_once('/catalogue/public/tools/pclzip/pclzip.lib.php');

Mais j'ai une erreur plus loin :

 

<br />

<b>Fatal error</b>: Class 'ZipArchive' not found in <b>/home/proteige/subdomain/catalogue/public/modules/autoupgrade/AdminSelfUpgrade.php</b> on line <b>1238</b><br />

 

 

Il manque un test sur l’existence de ZipArchive et la solution de contournement PclZip

Share this post


Link to post
Share on other sites

J'ai testé en local, et le résultat est "relativement" ok.

Cependant, l'affichage dans le BO est plutôt "désordonné" :

post-146336-0-67795700-1318756643_thumb.png

J'ai l'impression que les onglets sont doublés, et "My preferences" est juste derrière l'onglet "catalogue" ???

(Pour le module executemysqlquery : ce n'est pas un problème si ça déconne)

Sinon, certaines parties du BO sont passées en Anglais...

 

Au niveau du Front Office maintenant :

J'avais dupliqué le module publicité plusieurs fois pour afficher des images spécifiques : après MAJ, seul le module Publicité originel fonctionne, mais en plus il m'a remis l'image d'origine (image représentant écran avec BO Prestashop dessus).

De plus, il m'a aussi remis l'image d'origine en haut de la page d'accueil (image avec iPod Shuffle + iPod Nano + iPod classic etc...)

Ils existent aussi plusieurs parties (à différents endroits du site) où la mise en page est partie en "vrac" (là par contre, ce n'est pas un problème à mes yeux car je compte refondre graphiquement mon site, donc....)

Voilà pour la MAJ en local de mon côté.

 

Le point le plus gênant à mes yeux restant ces problèmes d'affichage côté BO. C'est assez désagréable visuellement...

 

J'hésite donc à faire cette MAJ en Prod...a moins qu'il y ait un moyen de rectifier ces problèmes d'affichage.

 

Si non, je ferai peut-être mieux de suivre cette MAJ là : http://www.prestasho...-110530b-fr.pdf

Qu'en pensez-vous ?

Merci

Share this post


Link to post
Share on other sites

En suivant à la lettre le début de ce post et en prenant garde à bien choisir les options de compatibilité de votre thème actuel il ne devrait pas y avoir de problème, j'ai "sauté le pas" sur une boutique en ligne et tout est ok, y compris les modules personnalisés.Upgrade depuis une version 1.4.4.1.

Share this post


Link to post
Share on other sites
En suivant à la lettre le début de ce post

Oui, j'ai suivi à la lettre le protocole.

 

 

et en prenant garde à bien choisir les options de compatibilité de votre thème actuel

C'est à dire ?

Share this post


Link to post
Share on other sites

Alain, c'est un problème d'affichage car les images sont en cache., peux tu rafraichir la page en faisant "Ctrl+F5" ? Ou fermer/ouvrir ton navigateur.

 

Pour les autres problèmes (notamment tes modules dupliqués qui ont disparus), la mise à jour classique ne changera rien, mais nous notons tout ça pour améliorer le processus.

 

(je t'envois un mp pour avoir plus de détails techniques)

Share this post


Link to post
Share on other sites
c'est un problème d'affichage car les images sont en cache., peux tu rafraichir la page en faisant "Ctrl+F5" ?

Oups...C'est ok maintenant.

 

Sinon, c'est vrai que j'ai oublié de préciser ma version actuelle :

c'est v1.3.1.1

Share this post


Link to post
Share on other sites

Bonjour,

 

Depuis hier j'essaie de mettre à jour mais ça veut rien savoir.

J'ai l'erreur [server Error] Status message : error

 

facbest

Share this post


Link to post
Share on other sites

Bonjour,

J'ai suivi la procédure pas à pas pour mettre à jour ma version 1.4.4.1.

Tout a bien fonctionné jusqu'au moment de cliquer sur "Mettre à jour Prestashop Maintenant !".

à ce moment, j'ai une petite roue qui tourne et une boîte de dialogue me dit "error during upgradeNow".

 

Comme je ne connais rien au php & co, je suis complétement paumé.

 

Merci de vos conseils.

 

Daniel

Share this post


Link to post
Share on other sites

Bonjour

 

J'ai un drôle de problème depuis que j'ai fait la mise à jour.

J'avais modifier le fichier category.tpl de mon thème afin d'enlever les images des sous-catégories. A la fin de l'installation, j'ai copier la sauvergade de mon thème dans le dossier thème de la nouvelle installation. Mais depuis que je passer à la version 1.4.5.1, on dirais que les modifications que j'effectue dans mon category.tpl ne sont pas prise en compte.

J'ai redémarrer Firefox, j'ai vider mon cache, mais rien n'y fait.

Quelqu'un aurais une idée ?

Merci

 

 

Bon, je viens de trouver le problème. J'avais modifier un fichier dans le dossier controllers et je ne l'avais pas remplacer par l'ancien.

Share this post


Link to post
Share on other sites

Bjr,

 

Peut-être penser aussi à vider ton cache smarty et le dossier compil ...

Ca aide pas mal pour être sur que ca oit pas un autre soucis ....

 

Si ça peut t'aider !!

Lokiiy

Share this post


Link to post
Share on other sites

Bonjour à tous,

 

je pars d'une 1.3.1.1 pour la 1.4.5.1, j'ai fait une copie du site et de la base. J'ai tout bien fait ce qui est écrit sur le post N°1.

Mais j'ai une erreur : Error during download

quelqu'un aurait-il une idée ?

 

merci

Patrick

Share this post


Link to post
Share on other sites

Bonjour,

 

Depuis hier j'essaie de mettre à jour mais ça veut rien savoir.

J'ai l'erreur [server Error] Status message : error

 

facbest

message typique quand on oublie de désactiver la boutique avant de faire la mise à jour, avez vous vérifié ?

Share this post


Link to post
Share on other sites

Bonjour à tous,

 

Oui j'ai désactivé la boutique au départ j'ai le chargement mais au moment du dézippage c'est là qu'il me fait l'erreur du serveur

 

Shop desactivated. Now downloading (this can takes some times )...

[server Error] Status message : error

 

facbest

Share this post


Link to post
Share on other sites

Bonjour,

La mise à jour de la nouvelle version sur ma boutique s'est un peut près bien passée sur ma version 1.4.4.1 par contre j'ai ce message d'erreur lorsque je clique dans le BO sur l'onglet Paiement :

Fatal error: Out of memory (allocated 33554432) (tried to allocate 107 bytes) in /homepages/6/xxxxx/htdocs/prestashop_1.4.5.1/classes/Module.php on line 878

J'ai modifié mon php.ini mais rien y fait

allow_url_fopen = On
allow_url_include = On
upload_max_filesize = 1024M
post_max_size = 1024M
memory_limit = 2048M

 

D'une version en 1.3.2.3 à la nouvelle MAJ, une vraie cata et pourtant j'ai suivi les instructions à la lettre.

Je pense que certains comme moi, doivent avoir les mêmes erreurs. Une petite idée ?

Très bonne journée à tous

Share this post


Link to post
Share on other sites

Précision... la méthode de mise a jour a l'ancienne marche tjrs j'imagine ?

(dossier module, Img, Theme et le fichier de conf) et ca marche

Share this post


Link to post
Share on other sites

A l'ancienne à l'ancienne !!! Tjrs vrai et bon !! :D

 

Ceux ci dis je me permet de dire merci à Michaël Marinetti de l'équipe Prestashop pour le système de MAJ automatique car je l'ai trouvé quand même fonctionnelle ... Même si j'ai eu une erreur dite que je ne comprend pas mais qui ne gêne pas dans ma boutique....

 

Après à l'ancienne !!! J'ai bien sur MAJ les dossiers CSS, Image, Mail, certain modules ... Enfin après c'est très classique et très simple car le plus gros est fait en quelques clics....

 

Restera à voir le passage de la 1.4.4.5 à la 1.5 :ph34r:

 

Mais sinon encore merci à Michaël Marinetti ;)

 

Lokiiy

Share this post


Link to post
Share on other sites

Bonjour,

 

Moi j'ai tjs le probleme pour un prestashop 1.4..4.0 impossible d'utiliser le module

Je suis la méthode mais j'ai tjs ce message au départ: version non modifiée de PrestaShop : et ca mouline à coté

Pourtant le test de la config est ok

post-278203-0-18524000-1318863064_thumb.jpg

Et si je tente la mise à jour, tjs ce message: error during upgrade now

 

J'ai lu le contenu du post, chez certains c'est résolu en changeant le php.ini chez moi pas hélas.

 

Une idée?

 

Merci

Share this post


Link to post
Share on other sites

Bonjour, Avez-vous ce problème aussi ? et si oui, avez-vous résolu ?

merci,

Denis

PS : J'ai pris la précaution de désactiver la boutique.

majprestashop.JPG

Edited by DenisLejeune (see edit history)

Share this post


Link to post
Share on other sites

Bonsoir,

 

apparemment mon problème est lié au téléchargement, il ne démarre pas, que faut-il vérifié sur mon serveur ? au niveau du dossier ?

Merci

Patrick

Share this post


Link to post
Share on other sites

Bonjour,

 

Moi perso le processus de copie de fichiers démarre même pas.

Il indique direct le message d'erreur

erreur during backupNow si je clic ok > erreur during rollback

 

suis donc obligé de faire annuler et ensuite il indique dans le cadre "j'attends les étapes monsieur"

 

Voilà pour les infos précises;-)

Share this post


Link to post
Share on other sites

Bonjour

merci pour ce module ça facilite la mis à jour mais pour moi j'ai la version 1.2.5, je me demande bien si'il existe une version de ce module pour la mienne? car je veux migrer vers la version 1.4

Share this post


Link to post
Share on other sites

Bonjour,

 

Généralement pour les erreurs de type error during BackupDB si vous avez activé le cache (memcache ou filesystem cache) dans Preferences > Performace il faut le désactiver puis essayer à nouveau.

 

Pour l'erreur Server error Status message error, dans php.ini augmentez la valeur du timeout:

max_execution_time = 300

 

Avant que cela prenne effet, il peut se passer jusqu'à 24h.

Share this post


Link to post
Share on other sites

Bonjour a tous,

est-ce que quelqu'un a reussi de faire la MAJ par la fonction du BO ?

 

chez moi ca ne fonctionne pas....

Share this post


Link to post
Share on other sites

Salut Carl,

 

Vous n'auriez-pas une idée sur le nom démarrage de l'upgrade ? au niveau du téléchargement de PS ?

 

une fois cliqué sur la bouton pour lancer la mise à jour, l'erreur arrive dans les 3 sec qui suivent.

 

merci

Patrick

Share this post


Link to post
Share on other sites

Bonjour Patrick_64,

 

Je vais aller chercher notre ami Michael, le créateur du module de mise à jour automatique !

Share this post


Link to post
Share on other sites

Bonjour, Avez-vous ce problème aussi ? et si oui, avez-vous résolu ?

merci,

Denis

PS : J'ai pris la précaution de désactiver la boutique.

majprestashop.JPG

Bonjour, Avez-vous ce problème aussi ? et si oui, avez-vous résolu ?

merci,

Denis

PS : J'ai pris la précaution de désactiver la boutique.

majprestashop.JPG

+1

Share this post


Link to post
Share on other sites

Bonjour,

 

Généralement pour les erreurs de type error during BackupDB si vous avez activé le cache (memcache ou filesystem cache) dans Preferences > Performace il faut le désactiver puis essayer à nouveau.

 

Pour l'erreur Server error Status message error, dans php.ini augmentez la valeur du timeout:

max_execution_time = 300

 

Avant que cela prenne effet, il peut se passer jusqu'à 24h.

 

Bonjour,

ou trouver php.ini ?

 

merci

Share this post


Link to post
Share on other sites

bonjour pour moi je n'ai même pas le sous menu " upgrade" j'ai bien installé le module comme indiquée

si un admin prestashop pourrai me porter de l'aide ça serai top

 

merci d'avance de votre réponse

 

 

 

mes infos :

 

Informations sur votre serveur

 

Version de Prestashop: 1.4.3

Informations sur votre serveur: Linux infong 2.4 #1 SMP Thu Nov 25 01:59:22 UTC 2010 i686 GNU/Linux Linux infong 2.4 #1 SMP Thu Nov 25 01:59:22 UTC 2010 i686 GNU/Linux Linux infong 2.4 #1 SMP Thu Nov 25 01:59:22 UTC 2010 i686 GNU/Linux

Version du logiciel serveur: Apache

Version de PHP: 5.2.17

Version de MySQL: 5.0.[spam-filter]log

Informations sur votre boutique

 

URL de votre boutique: http://beauty-discount.fr/

Nom du thème utilisé: prestashop

Informations sur la configuration mail

 

Méthode d'envoi de mail: Vous utilisez la fonction mail() de PHP

Vos informations

 

Informations vous concernant: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:7.0.1) Gecko/20100101 Firefox/7.0.1

Share this post


Link to post
Share on other sites

@jusexotiques,

 

Généralement il se trouve à la racine, mais si tu n'y as pas accès il faudrait voir avec ton hébergeur pour qu'il augmente cette valeur.

 

@dav02000,

 

Tu as bien désactivé ta boutique ?

 

@MYFRENCHNEIGHBOR,

 

Cela t'arrive pendant la mise à jour ou au lancement ? Tu as quelle version de PrestaShop ?

 

Un post qui peut être intéressant pour de nombreuses questions :

 

http://www.prestasho...post__p__655516

Share this post


Link to post
Share on other sites

Ce serait peut-être une bonne idée d'éditer le premier message pour expliquer que l'installation du module n'est pas nécessaire lorsque l'on est déjà en v1.4.4.1, car du coup je n'ai pas tenu compte de l'option déjà présente dans mon BO.

 

Résultat, je n'ai plus du tout accès à cette option après installation (laborieuse) du module. La désinstallation n'a pas ailleurs pas permis de la retrouver.

Je suis donc contraint de procéder à une mise à jour à l'ancienne. Heureusement que j'ai fait mes tests sur un site qui n'était pas en production.

Share this post


Link to post
Share on other sites

Re-bonjour,

 

Après ajout d'1 php.ini "allow_url_fopen=on" dans /admin/autoupdate, la procedure se lance. Le backup démarre et au bout de 30 secondes : "serveur error".

 

Problème chez mon hébergeur ?

 

Merci de vos idées.

 

Sylvain

Share this post


Link to post
Share on other sites

Depuis une version 1.4.4.0 l'installation du module autoupgrade a fait disparaitre l'onglet outils --> mise à jour

 

Donc impossible de continuer.

 

La désinstallation du module ne fait pas réapparaitre l'onglet !

 

Edit : apres mise a jour a l'ancienne, toujours pas de reapparition du lien outils --> mise à jour :(

Share this post


Link to post
Share on other sites

Bonsoir,

 

J'avais posté également un reporting de bug; personne n'a ce message: version non modifiée de PrestaShop

qui tourne en boucle et après tentative d'update rien ne démarre error duringBackupNow...

Très étrange (je fais les tests sur un prestashop 1.4.4.0 de base afin de voir ce que cela donne avant de le faire sur mon prestashop modifié)

 

Merci de votre aide

Share this post


Link to post
Share on other sites

Bonsoir,

 

J'avais posté également un reporting de bug; personne n'a ce message: version non modifiée de PrestaShop

qui tourne en boucle et après tentative d'update rien ne démarre error duringBackupNow...

Très étrange (je fais les tests sur un prestashop 1.4.4.0 de base afin de voir ce que cela donne avant de le faire sur mon prestashop modifié)

 

Merci de votre aide

 

J'ai exactement le même problème avec aussi error during upgradeNow... et comme je n'y connais rien, j'espère que nous trouverons réponse ici...

Share this post


Link to post
Share on other sites

bonjour,

 

je teste la mise à jour en local, mais j'ai un message d'erreur "undefine" voulez vous restaurer votre boutique !

 

auriez vous une idée?

 

merci

Share this post


Link to post
Share on other sites